#
# spec file for package screen-message
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           screen-message
Version:        0.28
Release:        2.3
Summary:        Program to display a short text fullscreen
License:        GPL-2.0-or-later
Group:          System/X11/Utilities
URL:            https://www.joachim-breitner.de/en/projects#screen-message
Source:         https://github.com/nomeata/screen-message/archive/refs/tags/0.28.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE inst-dir.patch -- change paths to LSB
Patch0:         inst-dir.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gtk3-devel
BuildRequires:  pango-devel
BuildRequires:  update-desktop-files

%description
Screen Message is a program to display a text as large as possible on
the screen. The text can be edited while Screen Message is running.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --bindir=%{_bindir}
mv README.Win32 README
make %{?_smp_mflags}

%install
%make_install %{?_smp_mflags}
%suse_update_desktop_file -r -N '%{name}' -G 'Screen-Message' sm Utility GTK Accessibility Presentation

%files
%doc README
%{_bindir}/sm
%{_datadir}/applications/sm.desktop
%{_datadir}/icons/hicolor/48x48/apps/sm.png
%{_mandir}/man6/sm.6%{?ext_man}

%changelog
* Sat Mar 16 2024 Sebastian Wagner <sebix@sebix.at>
- switch to autosetup to fix the build on 15.6
* Thu Feb  8 2024 Sebastian Wagner <sebix@sebix.at>
- remove obsolete my_gdk_rgba_parse_void.patch
- Update to version 0.28:
  - sm.c: Address warning -Wunused-parameter
  - sm.c: Address warning -Wsign-compare
  - sm.c: Address warning -Wreturn-type
  - sm.c: Address warning -Wstrict-prototypes
  - sm.c: Fix compilation with -std=c99
  M_PI_2 is not part of C99.
- Update to version 0.27:
  - sm.6: Fix clock example for copy'n'paste (#14)
* Thu Apr 29 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 0.26:
  * Fix memory leak
* Mon Sep 30 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary. Drop howto from description.
* Sat Sep 28 2019 Sebastian Wagner <sebix+novell.com@sebix.at>
- Update to version 0.25:
  * No upsteam changelog available, from debian changelog:
  * Repository location switched to github
  * Support -i and Ctrl-I (Closes: #862056)
- Remove _service file, git.nomeata.de is unreachable.
- Add my_gdk_rgba_parse_void.patch to fix compilation error
* Fri Feb 10 2017 wnereiz@eienteiland.org
- User "localonly" mode
* Fri Feb 10 2017 wnereiz@eienteiland.org
- Modify _service to meet building requirements
* Thu Feb  9 2017 wnereiz@eienteiland.org
- Add _service file
* Wed Feb  8 2017 wnereiz@eienteiland.org
- Add source URL
* Tue Jan 31 2017 wnereiz@eienteiland.org
- Note added: inst-dir.patch used for changing binary path from "/usr/games" (which seldom been used nowaday) to "/usr/bin".
* Mon Jan 30 2017 wnereiz@eienteiland.org
- Initialize the package.(Let's start from latest debian version)
